Package ghidra.rmi.trace

# Interface TraceRmi.XRequestInvokeMethodOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.XRequestInvokeMethod`, `TraceRmi.XRequestInvokeMethod.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.XRequestInvokeMethodOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.MethodArgument`
  `getArguments(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `int`
  `getArgumentsCount()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `List<TraceRmi.MethodArgument>`
  `getArgumentsList()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.MethodArgumentOrBuilder`
  `getArgumentsOrBuilder(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `List<? extends TraceRmi.MethodArgumentOrBuilder>`
  `getArgumentsOrBuilderList()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `String`
  `getName()`
  `string name = 2;`
  `com.google.protobuf.ByteString`
  `getNameBytes()`
  `string name = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasOid()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getName

    String getName()
    `string name = 2;`
    Returns:
      The name.

  - ### getNameBytes

    com.google.protobuf.ByteString getNameBytes()
    `string name = 2;`
    Returns:
      The bytes for name.

  - ### getArgumentsList

    List<TraceRmi.MethodArgument> getArgumentsList()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArguments

    TraceRmi.MethodArgument getArguments(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsCount

    int getArgumentsCount()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsOrBuilderList

    List<? extends TraceRmi.MethodArgumentOrBuilder> getArgumentsOrBuilderList()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsOrBuilder

    TraceRmi.MethodArgumentOrBuilder getArgumentsOrBuilder(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`